Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_SHMIOP_Connection_Handler Class Reference

Handles requests on a single connection. More...

`#include <SHMIOP_Connection_Handler.h>`

Inheritance diagram for TAO_SHMIOP_Connection_Handler:

[legend]
Collaboration diagram for TAO_SHMIOP_Connection_Handler:

[legend]
List of all members.

## Public Methods
| TAO_SHMIOP_Connection_Handler (ACE_Thread_Manager *t=0)
| Constructor. More...
| TAO_SHMIOP_Connection_Handler (TAO_ORB_Core *orb_core, CORBA::Boolean flag, void *arg)
| Constructor. <arg> parameter is used by the Acceptor to pass the protocol configuration properties for this connection. More...
| ~TAO_SHMIOP_Connection_Handler (void)
| Destructor. More...
virtual int | open (void *)
| Called by the <Strategy_Acceptor> when the handler is completely connected. Argument is unused. More...
virtual int | activate (long flags=THR_NEW_LWP, int n_threads=1, int force_active=0, long priority=ACE_DEFAULT_THREAD_PRIORITY, int grp_id=-1, ACE_Task_Base *task=0, ACE_hthread_t thread_handles[]=0, void *stack[]=0, size_t stack_size[]=0, ACE_thread_t thread_names[]=0)
| Active object activation method. More...
virtual int | svc (void)
| Only used when the handler is turned into an active object by calling <activate>. This serves as the event loop in such cases. More...
int | add_transport_to_cache (void)
| Add ourselves to Cache. More...
Event Handler overloads
virtual int | resume_handler (void)
virtual int | close_connection (void)
virtual int | handle_input (ACE_HANDLE)
virtual int | handle_output (ACE_HANDLE)
virtual int | handle_close (ACE_HANDLE, ACE_Reactor_Mask)
## Protected Methods
TAO_Connection Handler overloads
virtual int | release_os_resources (void)
## Private Attributes
int | resume_flag_
| Flag that we will be passing to the event handler to indicate whether the handle will be resumed by the method or not. More...

## Detailed Description

Handles requests on a single connection.

The Connection handler which is common for the Acceptor and the Connector

## Constructor & Destructor Documentation

TAO_SHMIOP_Connection_Handler::TAO_SHMIOP_Connection_Handler | ( | ACE_Thread_Manager * | t = 0 | ) |

| Constructor.

TAO_SHMIOP_Connection_Handler::TAO_SHMIOP_Connection_Handler | ( | TAO_ORB_Core * | orb_core,
|  | CORBA::Boolean | flag,
|  | void * | arg
| ) |

| Constructor. <arg> parameter is used by the Acceptor to pass the protocol configuration properties for this connection.

TAO_SHMIOP_Connection_Handler::~TAO_SHMIOP_Connection_Handler | ( | void |  | ) |

| Destructor.

## Member Function Documentation

int TAO_SHMIOP_Connection_Handler::activate | ( | long | flags = THR_NEW_LWP,
|  | int | n_threads = 1,
|  | int | force_active = 0,
|  | long | priority = ACE_DEFAULT_THREAD_PRIORITY,
|  | int | grp_id = -1,
|  | ACE_Task_Base * | task = 0,
|  | ACE_hthread_t | thread_handles[] = 0,
|  | void * | stack[] = 0,
|  | size_t | stack_size[] = 0,
|  | ACE_thread_t | thread_names[] = 0
| ) | `[virtual]`

| Active object activation method. Reimplemented from ACE_Task_Base.

int TAO_SHMIOP_Connection_Handler::add_transport_to_cache | ( | void |  | ) |

| Add ourselves to Cache.

int TAO_SHMIOP_Connection_Handler::close_connection | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Connection_Handler.

int TAO_SHMIOP_Connection_Handler::handle_close | ( | ACE_HANDLE | handle,
|  | ACE_Reactor_Mask | rm
| ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_SHMIOP_Connection_Handler::handle_input | ( | ACE_HANDLE | h | ) | `[virtual]`

| Reimplemented from TAO_Connection_Handler.

int TAO_SHMIOP_Connection_Handler::handle_output | ( | ACE_HANDLE | handle | ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_SHMIOP_Connection_Handler::open | ( | void * | a | ) | `[virtual]`

| Called by the <Strategy_Acceptor> when the handler is completely connected. Argument is unused. Reimplemented from ACE_Task_Base.

int TAO_SHMIOP_Connection_Handler::release_os_resources | ( | void |  | ) | `[protected, virtual]`

| Reimplemented from TAO_Connection_Handler.

int TAO_SHMIOP_Connection_Handler::resume_handler | ( | void |  | ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_SHMIOP_Connection_Handler::svc | ( | void |  | ) | `[virtual]`

| Only used when the handler is turned into an active object by calling <activate>. This serves as the event loop in such cases. Reimplemented from ACE_Task_Base.

## Member Data Documentation

int TAO_SHMIOP_Connection_Handler::resume_flag_`[private]`

| Flag that we will be passing to the event handler to indicate whether the handle will be resumed by the method or not.

The documentation for this class was generated from the following files:

- SHMIOP_Connection_Handler.h
- SHMIOP_Connection_Handler.cpp